petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrcasecmp

Returns true if the two strings are the same except possibly for case.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrcasecmp(const char a[],const char b[],PetscBool  *t)

Not Collective Many br

### Input Parameters

| a | - pointer to first string Many br
| b | - pointer to second string Many br

### Output Parameter

flg -if the two strings are the same Many br

### Notes

Null arguments are ok Many br

Not for use in Fortran Many br

Many br

### See Also

PetscStrcmp(), PetscStrncmp(), PetscStrgrt()

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html